# T2V-Turbo: Breaking the Quality Bottleneck of Video Consistency Model with Mixed Reward Feedback

## Installation

```
pip install accelerate transformer diffusers webdataset loralib peft pytorch_lightning open_clip_torch hpsv2 peft wandb pvav einops packaging

pip install flash-attn --no-build-isolation
git clone https://github.com/Dao-AILab/flash-attention.git
cd flash-attention
pip install csrc/fused_dense_lib
pip install csrc/layer_norm

pip install git+https://github.com/iejMac/video2dataset.git

pip install vbench
python -m pip install 'git+https://github.com/facebookresearch/detectron2.git'

conda install xformers
```

## Training

To train T2V-Turbo (VC2), run the following command

```
bash train_t2v_turbo_vc2.sh
```

To train T2V-Turbo (MS), run the following command

```
bash train_t2v_turbo_ms.sh
```

## Inference

To collect videos for VBench evaluation, run

```
python get_vbench_videos.py
```
